phpQuery

# Class: Callback

Source Location: /Callback.php

### Class Overview

Callback class implementing ParamStructures, pattern similar to Currying.

#### Author(s):

- Tobiasz Cudnik

### Variables

- $callback
- $params

### Methods

- __construct
- param

### Child classes:

CallbackReference
  Callback class implementing ParamStructures, pattern similar to Currying.

### Class Details

[line 8]
Callback class implementing ParamStructures, pattern similar to Currying.

#### Tags:

author: | Tobiasz Cudnik
link: | http://code.google.com/p/phpquery/wiki/Callbacks#Param_Structures

[ Top ]

### Class Variables

#### $callback = null

[line 9]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $params = null

[line 10]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 11]

`Callback __construct( $callback, [ $param1 = null], [ $param2 = null], [ $param3 = null])`

#### Tags:

access: | public

Overridden in child classes as:

CallbackReference::__construct()

#### Parameters:

| $callback |
| $param1 |
| $param2 |
| $param3 |

[ Top ]

### method param [line 22]

`void param( )`

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 18 Nov 2008 19:39:23 +0100 by phpDocumentor 1.4.2